[options]
library = "GstRtp"
version = "1.0"
min_cfg_version = "1.8"
work_mode = "normal"
concurrency = "send+sync"
generate_safety_asserts = true
single_version_file = true
doc_target_path = "docs/gstreamer-rtp/docs.md"
generate_display_trait = false

external_libraries = [
    "GLib",
    "GObject",
    "Gst",
]

generate = [
    "GstRtp.RTCPFBType",
    "GstRtp.RTCPSDESType",
    "GstRtp.RTCPType",
    "GstRtp.RTCPXRType",
    "GstRtp.RTPPayload",
    "GstRtp.RTPProfile",
]

[[object]]
name = "Gst.Buffer"
status = "manual"
ref_mode = "ref"

[[object]]
name = "GstRtp.*"
status = "generate"
    # expected enum `std::ffi::c_void`, found u8
    [[object.function]]
    name = "rtp_hdrext_get_ntp_56"
    ignore = true

    # expected enum `std::ffi::c_void`, found u8
    [[object.function]]
    name = "rtp_hdrext_get_ntp_64"
    ignore = true

    # manual bindings are needed for GstMeta
    [[object.function]]
    name = "rtp_source_meta_api_get_type"
    ignore = true

[[object]]
name = "GstRtp.RTPBufferFlags"
status = "generate"
    [[object.member]]
    name = "last"
    ignore = true

[[object]]
name = "GstRtp.RTPBufferMapFlags"
status = "generate"
    [[object.member]]
    name = "last"
    ignore = true
